gstreamermm: Gst::Navigation Class Reference

gstreamermm 1.10.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::Navigation Class Reference
gstreamermm Interfaces

An interface for elements that provide navigation functionality. More...

`#include <gstreamermm/navigation.h>`

Inherits Interface.

## Public Member Functions
| Navigation (Navigation&& src) noexcept
Navigation& | operator= (Navigation&& src) noexcept
| ~Navigation () noexcept override
GstNavigation* | gobj ()
| Provides access to the underlying C GObject. More...
const GstNavigation* | gobj () const
| Provides access to the underlying C GObject. More...
void | send_event (Gst::Structure& structure)
void | send_key_event (const Glib::ustring& event, const Glib::ustring& key)
void | send_mouse_event (const Glib::ustring& event, int button, double x, double y)
| Sends a mouse event to the navigation interface. More...
void | send_command (Gst::NavigationCommand command)
| Sends the indicated command to the navigation interface. More...
virtual void | send_event_vfunc (Gst::Structure&& structure)
| Called when an event has been sent to the Gst::Navigation. More...

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| Navigation ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::Navigation > | wrap (GstNavigation* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

An interface for elements that provide navigation functionality.

Last reviewed on 2016-06-06 (1.8.0)

## Constructor & Destructor Documentation

## ◆ Navigation() [1/2]

Gst::Navigation::Navigation | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ Navigation() [2/2]

Gst::Navigation::Navigation | ( | Navigation&& | src | ) |
| noexcept

## ◆ ~Navigation()

Gst::Navigation::~Navigation | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

static void Gst::Navigation::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ get_type()

static GType Gst::Navigation::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GstNavigation* Gst::Navigation::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GstNavigation* Gst::Navigation::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

Navigation& Gst::Navigation::operator= | ( | Navigation&& | src | ) |
| noexcept

## ◆ send_command()

void Gst::Navigation::send_command | ( | Gst::NavigationCommand | command | ) |

Sends the indicated command to the navigation interface.

Parameters

  command | The command to issue.

## ◆ send_event()

void Gst::Navigation::send_event | ( | Gst::Structure& | structure | ) |

## ◆ send_event_vfunc()

virtual void Gst::Navigation::send_event_vfunc | ( | Gst::Structure&& | structure | ) |
| virtual

Called when an event has been sent to the Gst::Navigation.

## ◆ send_key_event()

void Gst::Navigation::send_key_event | ( | const Glib::ustring & | event,
|  | const Glib::ustring & | key
| ) |  |

Parameters

  event | The type of the key event. Recognised values are "key-press" and "key-release".
  key | Character representation of the key. This is typically as produced by XKeysymToString.

## ◆ send_mouse_event()

void Gst::Navigation::send_mouse_event | ( | const Glib::ustring & | event,
|  | int | button,
|  | double | x,
|  | double | y
| ) |  |

Sends a mouse event to the navigation interface.

Mouse event coordinates are sent relative to the display space of the related output area. This is usually the size in pixels of the window associated with the element implementing the Gst::Navigation interface.

Parameters

  event | The type of mouse event, as a text string. Recognised values are "mouse-button-press", "mouse-button-release" and "mouse-move".
  button | The button number of the button being pressed or released. Pass 0 for mouse-move events.
  x | The x coordinate of the mouse event.
  y | The y coordinate of the mouse event.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gst::Navigation > wrap | ( | GstNavigation * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.